# $Revision: 1.14 $, $Date: 2012/06/08 10:38:16 $
%define 	module	pycassa
Summary:	Simple Python Cassandra library
Summary(pl.UTF-8):	Prosta biblioteka Pythona do Cassandry
Name:		python-%{module}
Version:	1.6.0
Release:	1
License:	MIT/apache
Group:		Development/Languages/Python
# https://github.com/downloads/pycassa/pycassa/pycassa-1.0.1.tar.gz
Source0:	http://github.com/downloads/%{module}/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	960646b853a73ae27c1b7d7c8b0f7d19
URL:		https://github.com/pycassa/pycassa
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	python-setuptools >= 0.6-2.c11 
Requires:	python-modules
Requires:	python-thrift
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cassandra library with the following features: auto-failover single or
thread-local connections, a simplified version of the thrift interface,
a method to map an existing class to a Cassandra ColumnFamily. Supports
SuperColumns.

%description -l pl.UTF-8
Biblioteka dostępu do Cassandry dla Pythona posiadająca: Jednowątkowy
lub wielowątkowy interfejs, uproszczona wersję interfejsu thrift,
metody do mapowania klas w ColumnFamily Cassandry. Wspiera obsługę
superkolumn.


%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py  install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT 

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pycassaShell

%{py_sitescriptdir}/ez_setup.py[co]

%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%dir %{py_sitescriptdir}/%{module}/cassandra
%{py_sitescriptdir}/%{module}/cassandra/*.py[co]
%dir %{py_sitescriptdir}/%{module}/cassandra/c07
%{py_sitescriptdir}/%{module}/cassandra/c07/*.py[co]
%dir %{py_sitescriptdir}/%{module}/cassandra/c08
%{py_sitescriptdir}/%{module}/cassandra/c08/*.py[co]
%dir %{py_sitescriptdir}/%{module}/cassandra/c10
%{py_sitescriptdir}/%{module}/cassandra/c10/*.py[co]
%dir %{py_sitescriptdir}/%{module}/logging
%{py_sitescriptdir}/%{module}/logging/*.py[co]

%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pycassa.spec,v $
Revision 1.14  2012/06/08 10:38:16  matkor
- Version 1.6.0-1.

Revision 1.12  2011/10/20 09:44:52  matkor
- Version 1.2.1-1.

Revision 1.11  2011/04/21 10:03:08  matkor
- Version 1.0.8-1.

Revision 1.10  2011/03/09 09:41:29  matkor
- Version 1.0.6-1.

Revision 1.9  2011/02/05 16:04:18  matkor
- Better descriptions.

Revision 1.8  2011/02/05 16:00:22  matkor
- Version 1.0.5-1.

Revision 1.7  2011/01/05 14:51:30  matkor
- Refreshed source0-md5.

Revision 1.6  2011/01/05 14:44:00  matkor
- Version 1.0.3-1.

Revision 1.5  2010/12/11 16:13:26  matkor
- Version 1.0.1-1. For Cassandra 0.7.0 and up only.

Revision 1.4  2010/12/10 12:22:41  matkor
- Version 0.3.0-1.

Revision 1.3  2010/03/31 07:03:52  glen
- remove trash from template spec
- list files we want to package (to avoid packaging .py or .so unintentionally)
- CFLAGS makes sense only for arch packages

Revision 1.2  2010/03/30 23:00:10  matkor
- Version 0.2.0-1.

Revision 1.1  2010/03/30 22:38:01  matkor
- Adding to repo.
